## ros-noetic-mrpt-bridge 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(mrpt_bridge)

## Find catkin macros and# libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
	cv_bridge
	geometry_msgs
	marker_msgs
	message_generation
	mrpt_msgs
	nav_msgs
	pcl_conversions
	roscpp
	sensor_msgs
	std_msgs
	stereo_msgs
	tf
)

## System dependencies are found with CMake's conventions
find_package(PCL 1.3 REQUIRED COMPONENTS common io)
include_directories(${PCL_INCLUDE_DIRS})
add_definitions(${PCL_DEFINITIONS})

find_package(MRPT 1.5 REQUIRED obs graphs maps slam)
message(STATUS "MRPT_VERSION: ${MRPT_VERSION}")
if(MRPT_VERSION VERSION_LESS "1.9.9")
	set (CMAKE_CXX_STANDARD 14)
endif()

# Debian Stretch doesn't properly find the recursive Qt5Widgets dependency from
# PCL io.  We force find it here so that cmake is happy.
find_package(Qt5Widgets REQUIRED)

if (CMAKE_COMPILER_IS_GNUCXX)
	# High level of warnings.
	# The -Wno-long-long is required in 64bit systems when including sytem headers.
	# The -Wno-variadic-macros was needed for Eigen3, StdVector.h
	add_compile_options(-Wall -Wno-long-long -Wno-variadic-macros)
	# Workaround: Eigen <3.4 produces *tons* of warnings in GCC >=6. See http://eigen.tuxfamily.org/bz/show_bug.cgi?id=1221
	if (NOT ${CMAKE_CXX_COMPILER_VERSION} LESS "6.0")
		add_compile_options(-Wno-ignored-attributes -Wno-int-in-bool-context)
	endif()
endif()

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
	geometry_msgs
	marker_msgs
	message_runtime
	mrpt_msgs
	nav_msgs
	sensor_msgs
	std_msgs
	stereo_msgs
#  DEPENDS pcl mrpt  # opencv
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp library
add_library(${PROJECT_NAME}
	include/${PROJECT_NAME}/GPS.h
	include/${PROJECT_NAME}/imu.h
	include/${PROJECT_NAME}/range.h
	include/${PROJECT_NAME}/stereo_image.h
	src/beacon.cpp
	src/GPS.cpp
	src/image.cpp
	src/image.cpp
	src/imu.cpp
	src/landmark.cpp
	src/laser_scan.cpp
	src/map.cpp
	src/marker_msgs.cpp
	src/network_of_poses.cpp
	src/point_cloud.cpp
	src/point_cloud2.cpp
	src/pose.cpp
	src/range.cpp
	src/stereo_image.cpp
	src/time.cpp
)

## Declare a cpp executable

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(${PROJECT_NAME}
   mrpt_msgs_generate_messages_cpp
   ${catkin_EXPORTED_TARGETS}
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME} PUBLIC
   ${catkin_LIBRARIES}
   ${MRPT_LIBRARIES}
)

add_executable(test_Bridge src/test/test_Bridge.cpp)
target_link_libraries(test_Bridge ${catkin_LIBRARIES} ${MRPT_LIBRARIES})
add_dependencies(test_Bridge mrpt_msgs_generate_messages_cpp ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp"
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}-test
    src/test/test_main.cpp
    src/test/test_time.cpp
    src/test/test_pose.cpp
    src/test/test_pointcloud2.cpp
    src/test/test_map.cpp
  )
  if(TARGET ${PROJECT_NAME}-test)
     target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME} ${catkin_LIBRARIES} ${MRPT_LIBRARIES} ${PCL_COMMON_LIBRARIES} ${PCL_IO_LIBRARIES})
  endif()
endif()

=== debian/changelog ===
ros-noetic-mrpt-bridge (1.0.1-1focal) focal; urgency=high

  * Add License file
  * Formatting fixes
  * Update README.md
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 02 May 2022 22:00:00 -0000

ros-noetic-mrpt-bridge (1.0.0-1focal) focal; urgency=high

  * update dep to mrpt2
  * Merge pull request #12 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/12> from MRo47/ros1
    Fixed build error for ubuntu 20.04, ros-noetic in imu.cpp
  * fixed bug (array to vec conversion -> use auto)
  * Build with opencv 4
  * fix build against mrpt2
  * update gitignore; add PUBLIC flags to deps
  * Quaternion singularity
    Check for degenerate case when converting quaternion to angles.
  * Ensure the real part of quaternions is real
    Fixes: https://github.com/mrpt-ros-pkg/pose_cov_ops/issues/7
  * time convert: fix round error in nanoseconds
  * Fix build against mrpt-2
  * Copyright notices, clang-format.
    Also, avoid some bad practices: C includes vs C++ ones; using namespace
    in headers.
  * fix build against mrpt2
    Fixed #5 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/5>
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Jose-Luis Blanco, Julian Lopez Velasquez, MRo47, Mathieu Mege, cmorcan

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 03 Mar 2022 23:00:00 -0000

ros-noetic-mrpt-bridge (0.1.25-1focal) focal; urgency=high

  * Merge pull request #3 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/3> from tuw-robotics/master
    TPose2D to geometry_msgs::Pose
  * Update pose.h
  * TPose2D Conversion to geometry_msgs::Pose added
  * Merge pull request #2 <https://github.com/mrpt-ros-pkg/mrpt_bridge/issues/2> from clalancette/fix-deb-stretch
    Fix deb stretch
  * Fix build warnings for signed/unsigned comparison.
    The width and height of the OccupancyGrid metadata are both
    uint32, so make the loop iterator type match.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Workaround Debian stretch not properly setting up Qt dependencies.
    libpcl-dev really has a dependency on Qt5Widgets, but that
    is not expressed by the Debian Stretch packages.  We workaround
    it here by forcing the dependency in both the package.xml and
    the CMakeLists.txt
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette, Jose Luis Blanco-Claraco, Markus Bader

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 10 Jul 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.24-1focal) focal; urgency=high

  * fix missing namespace
  * Reorganize build farm icons
  * Update README.md
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.23-1focal) focal; urgency=high

  * make catkin_lint clean
  * ROS build farm badges and links
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 07 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.22-1focal) focal; urgency=high

  * Release as an independent repository outside of "mrpt_navigation"

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 17 May 2018 22:00:00 -0000

ros-noetic-mrpt-bridge (0.1.21-1focal) focal; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix warnings
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * Use docker to run modern ROS distros in travis (#93 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/93>)
  * fix build errors against mrpt master. Closes #92 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/92>
  * Fix install .h files in mrpt-bridge
    Closes #91 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/91>
  * Fix CMake error (Closes #90 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/90>)
  * marker messages are also logged as beacons if needed
  * marker msgs added
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge pull request #83 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/83> from raghavendersahdev/master
    Extending ros_bridge to playback MRPT datasets
  * Merge branch 'master' into master
  * Work done upto August 25 : added CObservationRange
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * Work done upto August 21: added stereo image support to mrpt bridge
  * small change moved beacon.h to its correct place
  * Work done from August 17 to August 18 : added Tester function test the mrpt-ros bridge and publishing ros message after conversion
  * changed test_Bridge file, testing the bridge in a different way
  * Work done from August 17 to August 18 : added a tester function of the bridge, error while compiling currently
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Work done from August 13 to August 14 : added image mrpt-ros bridge and comments
  * Work done upto August 13: added mrpt_bridge conversions for range, GPS, IMU under construction; pending: mrpt_bridge for images and comments
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Comply to clang warnings
  * Fix compilation issue with forgotten git-related text


=== debian/control ===
Source: ros-noetic-mrpt-bridge
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev <!nocheck>, libpcl-dev, qtbase5-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-marker-msgs, ros-noetic-message-generation, ros-noetic-mrpt-msgs, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-pcl-conversions, ros-noetic-roscpp, ros-noetic-rosunit <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf
Homepage: https://wiki.ros.org/mrpt_bridge
Standards-Version: 3.9.2

Package: ros-noetic-mrpt-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-geometry-msgs, ros-noetic-marker-msgs, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-mrpt-msgs, ros-noetic-mrpt2, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf
Description: C++ library to convert between ROS messages and MRPT classes
